package jp.co.powerbeans.common.swt;

import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.MouseListener;

/**
 * 汎用マウスイベントハンドラ(ダブルクリック)
 * @author amonden
 */
public class CmdDoubleClickMouseListener implements MouseListener {

	/**
	 * コマンド.実行するメソッド名の "cmd" 以降を表す
	 */
	private String cmd;
	/**
	 * コマンドディスパッチャ
	 */
	private PBCmdDispatch dispatcher;

	/**
	 * コンストラクタ
	 * @param dispatcher コマンドディスパッチャ
	 * @param cmd
	 */
	public CmdDoubleClickMouseListener(PBCmdDispatch dispatcher, String cmd) {
		this.cmd = cmd;
		this.dispatcher = dispatcher;
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseDoubleClick(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseDoubleClick(MouseEvent e) {
		this.dispatcher.dispatchCmd(this.cmd, null);
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseDown(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseDown(MouseEvent e) {
		// 処理無し
	}

	/* (非 Javadoc)
	 * @see org.eclipse.swt.events.MouseListener#mouseUp(org.eclipse.swt.events.MouseEvent)
	 */
	public void mouseUp(MouseEvent e) {
		// 処理無し
	}
}