package jp.co.powerbeans.common.swt;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Control;

/**
 * ComboコントロールのControlData実装
 * @author amonden
 */
public class PBComboControlData extends ControlDataBase {

	/**
	 * コンストラクタ
	 * @param control コントロール
	 */
	public PBComboControlData(Control[] control) {
		super(control);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.common.swt.ControlData#setText(java.lang.String)
	 */
	public void setText(String val) {
		Combo combo = (Combo)getControl()[0];
		combo.setText(val);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.common.swt.ControlData#getText()
	 */
	public String getText() {
		Combo combo = (Combo)getControl()[0];
		if ((combo.getStyle() & SWT.READ_ONLY) == 0) {
			// 編集可能な場合は表示テキストをそのまま返す
			return combo.getText();
		} else {
			// 編集不可能な場合
			
			String val = ChkConvSwt.getSelectObjectPK(combo);
			
			if (val == null || val.length() == 0) {
				// 取得できなかった場合はModelではないので表示テキストをそのまま返す
				val = combo.getText();
			}
			return val;
		}
	}

}
