package jp.co.powerbeans.vbscore.model;

import java.util.Date;


/**
 * 1試合を表すモデル
 * @author amonden
 *
 */
public class Game extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6212759522940144994L;
	/**
	 * 試合ID
	 */
	private int gameId;
	/**
	 * 自チームID
	 */
	private int myTeamId;
	/**
	 * 対戦チームID
	 */
	private int vsTeamId;
	/**
	 * 最大セット数(試合前に入力)
	 */
	private int maxSet;
	/**
	 * 勝利チームID. 試合中の場合は0
	 */
	private int winTeamId;
	/**
	 * 場所
	 */
	private String place;
	/**
	 * 試合名("1回戦" 等)
	 */
	private String gameName;
	/**
	 * 大会名
	 */
	private String compeName;
	/**
	 * 試合日
	 */
	private Date gameDate;
	
	/**
	 * 試合データのステータス.
	 * 0: 試合開始前(データ登録中).
	 * 1: 試合中.
	 * 2: セット間
	 * 3: 試合終了.
	 */
	private int gameStatus;
	
	/**
	 * 試合ステータス 0:試合開始前(データ登録中)
	 */
	public static final int STATUS_PREPARE = 0;
	/**
	 * 試合ステータス 1:試合中
	 */
	public static final int STATUS_PLAYING = 1;
	/**
	 * 試合ステータス 2:セット間
	 */
	public static final int STATUS_BETWEEN_SET = 2;
	/**
	 * 試合ステータス 3:試合終了
	 */
	public static final int STATUS_END = 3;
	
	/**
	 * ステータス名取得
	 * @return 現在のステータス名
	 */
	public String getStatusName() {
		String[] STATUS_NAME = {"試合前", "試合中", "セット間", "試合終了"};
		return STATUS_NAME[this.gameStatus];
	}
	
	public String getCompeName() {
		return compeName;
	}
	public void setCompeName(String conpeName) {
		this.compeName = conpeName;
	}
	public Date getGameDate() {
		return gameDate;
	}
	public void setGameDate(Date gameDate) {
		this.gameDate = gameDate;
	}
	public int getGameId() {
		return gameId;
	}
	public void setGameId(int gameId) {
		this.gameId = gameId;
	}
	public String getGameName() {
		return gameName;
	}
	public void setGameName(String gameName) {
		this.gameName = gameName;
	}
	public int getMaxSet() {
		return maxSet;
	}
	public void setMaxSet(int maxSet) {
		this.maxSet = maxSet;
	}
	public String getPlace() {
		return place;
	}
	public void setPlace(String place) {
		this.place = place;
	}
	public int getVsTeamId() {
		return vsTeamId;
	}
	public void setVsTeamId(int vsTeamId) {
		this.vsTeamId = vsTeamId;
	}
	public int getMyTeamId() {
		return myTeamId;
	}
	public void setMyTeamId(int myTeamId) {
		this.myTeamId = myTeamId;
	}
	public int getGameStatus() {
		return gameStatus;
	}
	public void setGameStatus(int gameStatus) {
		this.gameStatus = gameStatus;
	}

	/**
	 * @return winTeamId を戻します。
	 */
	public int getWinTeamId() {
		return winTeamId;
	}

	/**
	 * @param winTeamId 設定する winTeamId。
	 */
	public void setWinTeamId(int winTeamId) {
		this.winTeamId = winTeamId;
	}
}
