package jp.co.powerbeans.vbscore.model;

import jp.co.powerbeans.powerql.POQLInitBean;



/**
 * ランキングの種類マスタ
 * @author amonden
 *
 */
public class RankingDef implements POQLInitBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7271884733757307217L;
	
	/**
	 * ランキング種類ID
	 */
	private int rankingDefId;
	/**
	 * ランキング名
	 */
	private String rankingName;

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialTruncate()
	 */
	public boolean initialTruncate() {
		return true;
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialData()
	 */
	public Object[] initialData() {
		int[] ids = {
				1, 2, 3, 4, 5
		};
		String[] names = {
				"サービスエース率", // 1
				"サーブミス率", // 2
				"サーブカット率", // 3
				"スパイク打数", // 4
				"スパイク決定率", // 5
		};

		RankingDef[] defs = new RankingDef[names.length];
		for (int i = 0; i < names.length; i++) {
			defs[i] = new RankingDef(ids[i], names[i]);
		}
		return defs;
	}
	
	/**
	 * コンストラクタ
	 */
	public RankingDef() {
		super();
	}

	/**
	 * ランキング
	 * @param id ランキング種別ID
	 * @param name ランキング名
	 */
	public RankingDef(int id, String name) {
		super();
		this.rankingDefId = id;
		this.rankingName = name;
	}

	/**
	 * @return rankingDefId を戻します。
	 */
	public int getRankingDefId() {
		return rankingDefId;
	}

	/**
	 * @param rankingDefId 設定する rankingDefId。
	 */
	public void setRankingDefId(int rankingDefId) {
		this.rankingDefId = rankingDefId;
	}

	/**
	 * @return rankingName を戻します。
	 */
	public String getRankingName() {
		return rankingName;
	}

	/**
	 * @param rankingName 設定する rankingName。
	 */
	public void setRankingName(String rankingName) {
		this.rankingName = rankingName;
	}


}
